Subject: bug#19877: 24.4; highlight-regexp displays nonsense options for faces

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 19:52:04 +0100

Boruch Baum <[email-masked]> writes:

> The documentation for `highlight-regexp' ( info:emacs#Highlight
> Interactively]] ) says, "While being prompted for a face use ‘M-n’ and
> ‘M-p’ to cycle through them." However, repeatedly keying ‘M-n’ will
> toggle through the entries in `hi-lock-face-defaults' *twice*,

This behaviour is still present in Emacs 29 (after Juri fixed it so that
it works better again) -- the hi-lock defaults appear twice.

I've now fixed this in Emacs 29.

> and then will start displaying _other items_, presumably from some
> other history ring, but not necessarily faces. In my case, some of the
> _other items_ that appear when I ‘M-n’ cycle, were:
> apropos-variable-button, org-target, bookmark-menu-bookmark,
> org-agenda-date-today, and ido-incomplete-regexp.

(Others answered this bit -- it the other faces.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no